Click or drag to resize

LinearDimensionSetLocations Method

Sets the three locations of the point, using two-dimensional points that refer to the plane of the annotation.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public void SetLocations(
	Point2d extensionLine1End,
	Point2d extensionLine2End,
	Point2d pointOnDimensionLine
)

Parameters

extensionLine1End
Type: Rhino.GeometryPoint2d

[Missing <param name="extensionLine1End"/> documentation for "M:Rhino.Geometry.LinearDimension.SetLocations(Rhino.Geometry.Point2d,Rhino.Geometry.Point2d,Rhino.Geometry.Point2d)"]

extensionLine2End
Type: Rhino.GeometryPoint2d

[Missing <param name="extensionLine2End"/> documentation for "M:Rhino.Geometry.LinearDimension.SetLocations(Rhino.Geometry.Point2d,Rhino.Geometry.Point2d,Rhino.Geometry.Point2d)"]

pointOnDimensionLine
Type: Rhino.GeometryPoint2d

[Missing <param name="pointOnDimensionLine"/> documentation for "M:Rhino.Geometry.LinearDimension.SetLocations(Rhino.Geometry.Point2d,Rhino.Geometry.Point2d,Rhino.Geometry.Point2d)"]

Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also